cannot update theme and plugins

Hi,
What can cause a wordpress site to not allow you to update themes and plugiins? It's giving an error about it cannot uninstall old versions of themes/plugins.